Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.rrnaclassifier
Class ClassificationResultFormatter

    java.lang.Object
      edu.msu.cme.rdp.classifier.rrnaclassifier.ClassificationResultFormatter

    public class ClassificationResultFormatter

extends java.lang.Object

Nested Class Summary
`static class` | `ClassificationResultFormatter.FORMAT`

Field Summary
`static java.lang.String[]` | `RANKS`

Constructor Summary
`ClassificationResultFormatter()`

Method Summary
`static java.lang.String` | `getAllRankOutput(ClassificationResult result)`
`static java.lang.String` | `getDBOutput(ClassificationResult result)`
`static java.lang.String` | `getFixRankOutput(ClassificationResult result)`
`static java.lang.String` | `getFixRankOutput(java.lang.String[] ranks, ClassificationResult result)`
`static java.lang.String` | `getOutput(ClassificationResult result, ClassificationResultFormatter.FORMAT format)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RANKS

    public static java.lang.String[] RANKS

Constructor Detail

### ClassificationResultFormatter

    public ClassificationResultFormatter()

Method Detail

### getOutput

    public static java.lang.String getOutput(ClassificationResult result,
                                             ClassificationResultFormatter.FORMAT format)

### getAllRankOutput

    public static java.lang.String getAllRankOutput(ClassificationResult result)

### getFixRankOutput

    public static java.lang.String getFixRankOutput(ClassificationResult result)

### getFixRankOutput

    public static java.lang.String getFixRankOutput(java.lang.String[] ranks,
                                                    ClassificationResult result)

### getDBOutput

    public static java.lang.String getDBOutput(ClassificationResult result)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD